---
api: 'Business API'
---

# Retrieve a team member

Get information about a specific team member by their ID.

For more information, see the guides: [Manage team members](https://developer.revolut.com/docs/guides/manage-accounts/teams/manage-team-members).

## Endpoint

GET `/team-members/{team_member_id}`

## Parameters

### path parameters

- `team_member_id` (string, required)
  The ID of the team member to retrieve.

## Returns

### 200

Team member details

#### Response attributes

- `id` (string)
    The ID of the team member.
- `email` (string)
    The email of the team member.
- `first_name` (string, optional)
    The team member's first name.
- `last_name` (string, optional)
    The team member's last name.
- `state` (enum)
    The state that the team member is in.
    Possible enum values:

    - `created`
    - `confirmed`
    - `waiting`
    - `active`
    - `locked`
    - `disabled`
- `role_id` (string)
    The ID of the team member's [role](https://developer.revolut.com/docs/api/business#get-roles). This can be a UUID or other default role such as `Owner`.
- `created_at` (string)
    The date and time the team member was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `updated_at` (string)
    The date and time the team member was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `department_id` (string, optional)
    The ID of the [department](https://developer.revolut.com/docs/api/business#get-departments) the team member is assigned to.
- `manager_id` (string, optional)
    The ID of the team member's manager.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Invalid path parameter |
| 401 | Unauthorized – authentication credentials are missing or invalid  Returned when the request was not fulfilled because authentication has failed or has not been provided. |
| 403 | Action forbidden - insufficient permissions to perform this action  Returned, for example, when you don't have permissions necessary to perform this action. |
| 404 | Not found  Returned when the team member doesn't exist. This can happen when, for example, the team member has been deleted, or the provided team member ID is incorrect. |
